# Uses of Interface
org.eclipse.gef.mvc.fx.parts.IContentPartFactory

Packages that use IContentPartFactory
Package
Description
org.eclipse.gef.mvc.fx.behaviors
This package contains JavaFX/MVC.FX-specific `IBehavior` implementations.
org.eclipse.gef.mvc.fx.policies
This package contains all `IPolicy` implementations contributed by MVC.FX.

## Uses of IContentPartFactory in org.eclipse.gef.mvc.fx.behaviors

Methods in org.eclipse.gef.mvc.fx.behaviors that return IContentPartFactory
Modifier and Type
Method
Description
`protected IContentPartFactory`
ContentBehavior.`getContentPartFactory()`
Returns the `IContentPartFactory` of the current viewer.

## Uses of IContentPartFactory in org.eclipse.gef.mvc.fx.policies

Methods in org.eclipse.gef.mvc.fx.policies that return IContentPartFactory
Modifier and Type
Method
Description
`protected IContentPartFactory`
CreationPolicy.`getContentPartFactory()`
Returns the `IContentPartFactory` of the current viewer.